Templates
Get Template
Get a single template by ID.
GET
/
v1
/
templates
/
:id
Get Template
curl --request GET \
--url https://api.oviond.com/v1/templates/:id \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": "<string>",
"account_id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"ranking": 123,
"datasources": [
"<string>"
],
"thumbnail": "<string>",
"date_range": {
"text": "Last 30 Days",
"compare": "None",
"include_today": false,
"current_start": "2026-03-01",
"current_end": "2026-03-31",
"previous_start": "2026-02-01",
"previous_end": "2026-02-28",
"custom_days": 60,
"custom_months": 3
},
"theme_id": "<string>",
"logo_url": "<string>",
"show_cover_page": true,
"show_cover_page_logo": true,
"show_cover_page_name": true,
"show_cover_page_date": true,
"show_cover_page_bg_image": true,
"show_header": true,
"show_header_logo": true,
"show_header_name": true,
"show_header_date": true,
"show_page_numbers": true,
"show_table_of_contents": true,
"show_date": true,
"show_thank_you": true,
"created_at": null
}
}⌘I
Get Template
curl --request GET \
--url https://api.oviond.com/v1/templates/:id \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": "<string>",
"account_id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"ranking": 123,
"datasources": [
"<string>"
],
"thumbnail": "<string>",
"date_range": {
"text": "Last 30 Days",
"compare": "None",
"include_today": false,
"current_start": "2026-03-01",
"current_end": "2026-03-31",
"previous_start": "2026-02-01",
"previous_end": "2026-02-28",
"custom_days": 60,
"custom_months": 3
},
"theme_id": "<string>",
"logo_url": "<string>",
"show_cover_page": true,
"show_cover_page_logo": true,
"show_cover_page_name": true,
"show_cover_page_date": true,
"show_cover_page_bg_image": true,
"show_header": true,
"show_header_logo": true,
"show_header_name": true,
"show_header_date": true,
"show_page_numbers": true,
"show_table_of_contents": true,
"show_date": true,
"show_thank_you": true,
"created_at": null
}
}